Bug 1293896 - packstack fails on applying prescript.pp with OSP8 Beta 3
packstack fails on applying prescript.pp with OSP8 Beta 3
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack (Show other bugs)
8.0 (Liberty)
x86_64 Linux
unspecified Severity high
: ---
: 8.0 (Liberty)
Assigned To: Ivan Chavero
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-23 07:16 EST by marko.lindholm
Modified: 2016-04-18 03:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-29 02:44:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1284978 None None None 2015-12-23 07:16 EST

  None (edit)
Description marko.lindholm 2015-12-23 07:16:06 EST
Description of problem:
Packstack fails on applying prescript.pp with OSP8 Beta 3.

Version-Release number of selected component (if applicable):
Packstack included in OSP8 Beta 3, i.e.
openstack-packstack 1:7.0.0-0.8.dev1661.gaf13b7e.el7ost
openstack-packstack-puppet 1:7.0.0-0.8.dev1661.gaf13b7e.el7ost

How reproducible:
100%

Steps to Reproduce:
yum install openstack-packstack
packstack --gen-answer-file=FILE
packstack --answer-file=FILE

Actual results:
ERROR : Error appeared during Puppet run: 10.102.231.250_prescript.pp
Error: Could not find data item CONFIG_USE_SUBNETS in any Hiera data file and no default supplied at /var/tmp/packstack/adf5ff1ad4f345fbb1c5285240873d66/manifests/10.102.231.250_prescript.pp:2 on

Expected results:
A working Openstack

Additional info:
This looks like same issue as explained in RDO bug 1284978. After downgrading packstack to version 7.0.0-0.7 from that case, installation will complete successfully.
Comment 2 Ivan Chavero 2015-12-29 02:44:37 EST
This problem does not appear with the current pacsktack version: openstack-packstack-7.0.0-0.9.dev1661.gaf13b7e.el7ost

Note You need to log in before you can comment on or make changes to this bug.